<?php
/**
 * The template for displaying admania layout14 content.
 *
 * @package WordPress
 * @subpackage admania
 * @since admania 1.0
 */

get_header(); // gets theme header content.

$admania_home_optin_inc = 0;

$admania_home_ad_count = admania_get_option('admaniapst133_aftrnthparano') ? admania_get_option('admaniapst133_aftrnthparano') :6;

$admania_home_optin_count = get_theme_mod('admania_newsletter_count_setting',3);

?>

<main id="admania-maincontent" class="admania-sitemaincontent">
	
	<?php if(get_theme_mod('admania_latest_post_title_setting') != ''){ ?>
		<h3 class="admania-editor-pickers-title"><?php echo  esc_html(get_theme_mod('admania_latest_post_title_setting')); ?></h3>
	<?php } ?>
	
	<div class="admania-content-main-section">
	
		
		<?php 
		
		if ( have_posts() ) : 
		
			//Start the loop.
			while ( have_posts() ) : the_post();
			
			$admania_content_limit = get_the_content();
			
			$admania_home_optin_inc++;
			
			if('' !== get_theme_mod('admania_article_newsletter_check')) { 

			if($admania_home_optin_inc ===  (int) $admania_home_optin_count) {
			?>	
			<div class="admania-hentry14 admania-hentry14-newsltetter">	
				<?php get_template_part( 'optin-parts/article-option', 'content' ); // header newsletter ?> 
            </div>
			<?php
			}
			
			}
			if(admania_get_option('layt11_aftrListad_active3') != false) {
			if($admania_home_optin_inc === (int) $admania_home_ad_count) {
			?>
				<div class="admania-hentry14 admania-hentry-ad">
					<?php get_template_part( 'tempad-parts/layoutnl', 'post-ad' ); // article ad code ?> 
                </div>
			<?php
			}
			}
$admania_fwidth = '360';
$admania_fheight = '250';
		
$admania_thumb = get_post_thumbnail_id();
$admania_imgurl = wp_get_attachment_url( $admania_thumb,'full'); //get img URL
$admania_image = $admania_imgurl;
	
$admania_contentlmt = get_the_content();	
$admania_ytdimg = get_post_meta($post->ID, '_admania_featured_videourl', true); 
$admania_youtube_matchexp = "/\s*[a-zA-Z\/\/:\.]*youtube.com\/watch\?v=([a-zA-Z0-9\-_]+)([a-zA-Z0-9\/\*\-\_\?\&\;\%\=\.]*)/i";  
$admania_vimeomatchexp = "/https?:\/\/(?:www\.|player\.)?vimeo.com\/(?:channels\/(?:\w+\/)?|groups\/([^\/]*)\/videos\/|album\/(\d+)\/video\/|video\/|)(\d+)(?:$|\/|\?)/";
$admania_souncloudmatchexp = "%(?:https?://)(?:www\.)?soundcloud\.com/([\-a-z0-9_]+/[\-a-z0-9_]+)%im";
	
$admania_framename = "iframe";	
	    	
if((false !== $admania_ytdimg)  && (false === $admania_image)){
	$admania_sliderwotimg = 'admania-ftdpstwotimg';
}
elseif((false === $admania_ytdimg)  && (false === $admania_image)){
	$admania_sliderwotimg = 'admania-ftdpstwotimgvid';
}
else {
	$admania_sliderwotimg = '';
}
	
if((false !== $admania_image)) { 
	$admania_lytftd_bgimg = $admania_image; 
}	
elseif((false === $admania_ytdimg)) {
	$admania_lytftd_bgimg = '';
}
else {
	$admania_lytftd_bgimg = '';
}	
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(array('admania-hentry14',''.esc_attr($admania_sliderwotimg).'')); ?>>					
		
	<div class="admania-hmarticle14-header admania-hentry-header">
			
		<?php if ( is_sticky() && is_home() && ! is_paged() ) : ?>
		
		<span class="admania-stickypost">
			<?php esc_html_e( 'Featured', 'ad-mania' ); ?>
		</span>
		
		<?php endif; ?>	
		
		<?php  admania_featuredimage(); ?>
		
		 
				
	</div>
	
	<div class="admania-hmarticle14-content admania-hentry-content">
		
		   <?php 
			
			the_title('<h2 itemprop="headline"><a href="'.esc_url(get_permalink()).'">','</a></h2>'); 
		
			if(1 !== (int) get_theme_mod('admania_ppostedby','')){ ?>
			
			<div class="admania-hmarticle14-byline">
			
			<?php
				echo get_avatar( get_the_author_meta( 'user_email' ), 30 );
	        ?>
			
			<span class="admania-postedby4-admin">
				<span class="admania-postedby4-admin-text">
					<?php
						esc_html_e('Posted By','ad-mania');
					?>
				</span> 
				<?php the_author_posts_link(); ?>
			</span> /
			
			<?php if(get_theme_mod('admania_ppostedon') !== 1) { ?>
				<span class="admania-notitle-date admania-postedby4-admin">
					<?php  esc_html_e('On','ad-mania'); ?>
					<a href="<?php the_permalink(); ?>"><?php the_time(get_option( 'date_format')); ?></a>
			    </span> 
			<?php } ?>
			
			</div>
			
			<?php
			}
			
			if('' !== $admania_content_limit) {
				
			?>				
            
			<p>
			
				<?php 

				echo wp_kses_stripslashes(wp_trim_words($admania_content_limit,30,'...'));
						 
				wp_link_pages(array(
					'before'      => '<div class="admania-pagelinks"><span class="admania-pagelinkstitle">' . esc_html__( 'Pages:', 'ad-mania' ) . '</span>',
					'after'       => '</div>',
					'link_before' => '<span>',
					'link_after'  => '</span>',
					'pagelink'    => '<span class="admania-screenreadertext">' . esc_html__( 'Page', 'ad-mania' ) . ' </span><span class="admania-pglnlksaf">%</span>',
					'separator'   => '<span class="admania-screenreadertext">, </span>',
				)); 
				
				?>
			
			</p>
			
			<?php 			
			}			
			?>
			<div class="admania-hmarticle14-footer admania-entry-footer">
			    
				<a href="<?php the_permalink(); ?>"><?php echo esc_html_e('Continue Reading...','ad-mania'); ?></a>
									
			</div>	
			
	</div>
					
</article> <!-- #post -->
				
<?php
			//	End the loop.
				
		    endwhile;
			
		endif;
		?>
		</div>
		<?php
		admania_paging_nav(); // admania-pagination
		
		?>
	
</main> <!-- .admania-main-content -->

<?php


get_footer(); // gets theme footer content.