<?php 

/* admania : Comment Tempplate page
*
* @package WordPress
* @subpackage admania
* @since Admania 1.0
*/


/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}


?>

<div id="admania-commentbox" class="admania-commentbox admania_comment_section"> <!--Comment section-->
  
  <?php
	
	$admania_commenter = wp_get_current_commenter();
	$admania_commentreq = get_option( 'require_name_email' );
	$admania_aria_req = ( $admania_commentreq ? " aria-required='true'" : '' ); 



	$admania_comment_args = array(
	'id_form' => 'commentform',
	'id_submit' => esc_html__( 'submit', 'ad-mania' ),
	'title_reply' => esc_html__( 'Leave a Reply' , 'ad-mania' ),
	'title_reply_to' => esc_html__( 'Leave a Reply to %s' , 'ad-mania' ),
	'cancel_reply_link' => esc_html__( 'Cancel Reply' , 'ad-mania' ),
	'label_submit' => esc_html__( 'Post Comment' , 'ad-mania' ),
	'comment_field' => '<p class="admania-comment-form-comment"><textarea id="comment" name="comment" rows="20" cols="100" aria-required="true"></textarea></p>',
	'must_log_in' => '<p class="must-log-in">'.wp_kses( __( 'You must be <a href="%s">logged in</a> to post a comment.', 'ad-mania' ), wp_login_url( apply_filters( 'the_permalink', esc_url(get_permalink( ) ) )) ).'
	</p>',
	'logged_in_as' => '<p class="logged-in-as">
	
	'.wp_kses( __( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>', 'ad-mania' ), esc_url(admin_url( 'profile.php' )), $user_identity, wp_logout_url( apply_filters( 'the_permalink', esc_url(get_permalink( ))))).'
	
	</p>',
	'comment_notes_before' => '<p class="comment-notes">
	' . esc_html__( 'Your email address will not be published.' , 'ad-mania' ).  '</p>',
	'comment_notes_after' => '<p class="form-allowed-tags">
	'.wp_kses( __( 'You may use these <abbr title="HyperText Markup Language">HTML</abbr> tags and attributes: %s', 'ad-mania' ), ' <code>' .esc_attr(allowed_tags()). '</code>').'
</p>',
	'fields' => apply_filters( 'comment_form_default_fields', array(
	'author' => '<p class="admania-comment-form-author">' . '<label for="author">' . esc_html__( 'Name', 'ad-mania' ) . '</label> ' . ( $admania_commentreq ? '<span class="required">*</span>' : '' ) . '<input id="author" name="author" type="text" value="' . esc_attr( $admania_commenter['comment_author'] ) . '" size="30"' . esc_attr($admania_aria_req) . ' /></p>',
	'email' => '<p class="admania-comment-form-email"><label for="email">' . esc_html__( 'Email', 'ad-mania' ) . '</label> ' . ( $admania_commentreq ? '<span class="required">*</span>' : '' ) . '<input id="email" name="email" type="text" value="' . esc_attr(  $admania_commenter['comment_author_email'] ) . '" size="30"' . esc_attr($admania_aria_req) . ' /></p>',
	'url' => '<p class="comment-form-url"><label for="url">' . esc_html__( 'Website', 'ad-mania' ) . '</label>' . '<input id="url" name="url" type="text" value="' . esc_attr( $admania_commenter['comment_author_url'] ) . '" size="30" /></p>' ) ) ); 
    $admania_snlg = get_post_field('comment_count',get_the_ID());
	if($admania_snlg >= 1){
	?>
	<div class="admania-total-comments">
		<h3>
     	 	<?php 
				if ($admania_snlg >= 1):
				echo ''.absint($admania_snlg).' <span> '.esc_html__('Comments','ad-mania').'</span>';			
				else:
				echo ''; 
				endif;
			?>
		</h3>
	</div>
	<?php
	} 	
	if(get_comments_number()):
	
	the_comments_navigation(); 
	
	?>
  <ol class="admania-commentlist" itemscope="itemscope" itemtype="http://schema.org/UserComments">
    <?php
			// show regular comments
			wp_list_comments(
			array (				
				'style'    => 'ul',
				'short_ping'  => true,
				'avatar_size' => '80'
				)
			);
		?>
  </ol>
  <?php
	
	the_comments_navigation();
	
	endif;
	// If comments are closed and there are comments, let's leave a little note, shall we?
	if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>
  <p class="admania-nocomments">
    <?php esc_html_e( 'Comments are closed.', 'ad-mania' ); ?>
  </p>
  <?php endif; ?>
  <?php $admania_comments_args = array(

		// change the title of send button 
		'label_submit'=> esc_html__('Submit Your Comments','ad-mania'),

		// change the title of the reply section
		'title_reply'=> esc_html__('Leave a Comment','ad-mania'),

		// remove "Text or HTML to be displayed after the set of comment fields"
		'comment_notes_after' => '',

		// redefine your own textarea (the comment body)
		'comment_field' => '<p class="admania-comment-form-comment"><textarea id="comment" name="comment" rows="10" cols="100" aria-required="true"></textarea></p>',
	);

	comment_form($admania_comments_args); 
	
   ?>
</div>
<!--End of the Comment section--> 
<?php


