<?php
/**
 * admania functions 
 *
 *
 @ package WordPress
 * @subpackage admania
 * @since Admania 1.0
 *
 *
 */

 /**
 *
 * Load the required function
 *
 */
 
  require trailingslashit(get_template_directory()). '/lib/includes/admania-customtemp-tags.php';  
  require trailingslashit(get_template_directory()). '/lib/includes/admin/admania-themeoptions/admania-theme-settings.php'; 
  require trailingslashit(get_template_directory()). '/lib/includes/admin/admania-themeoptions/admania-import-export.php'; 
  require trailingslashit(get_template_directory()). '/lib/includes/admania-plugins/active-plugin.php';
  require trailingslashit(get_template_directory()). '/lib/includes/admania-updates.php';   
  require trailingslashit(get_template_directory()). '/lib/includes/admania-frontliveeditor.php';     
  require trailingslashit(get_template_directory()). '/lib/includes/admania-one-click-importer.php'; 
  require trailingslashit(get_template_directory()). '/lib/includes/customizer.php';

  if ( class_exists( 'Woocommerce' ) ) {
	//call the woocommerce for Pages
	require trailingslashit(get_template_directory()). '/lib/includes/woocm.php';	
 }
  

  
  /**
 * Set the content width based on the theme's design and stylesheet.
 *
 * @since Admania 1.0
 */
 
if ( ! isset( $content_width ) ) {
	$content_width = 840;
}


add_action( 'after_setup_theme', 'admania_setup' );

/**
 * All setup functionalities.
 *
 * @since 1.0.4
 */
 
if( !function_exists( 'admania_setup' ) ) :

function admania_setup() {

	/*
	 * Make theme available for translation.
	 * Translations can be filed in the /languages/ directory.
	 */
	
	load_theme_textdomain( 'ad-mania', get_template_directory() . '/languages' );
	
	// Add default posts and comments RSS feed links to head
	
	add_theme_support( 'automatic-feed-links' );

	// This theme uses Featured Images (also known as post thumbnails) for per-post/per-page.
	
	add_theme_support( 'post-thumbnails' );

    // Supporting title tag via add_theme_support (since WordPress 4.1)
    
	add_theme_support( 'title-tag' );
	
	add_theme_support( 'woocommerce' );
	
	add_theme_support( 'wc-product-gallery-zoom' );
	
	add_theme_support( 'wc-product-gallery-lightbox' );
	
	add_theme_support( 'wc-product-gallery-slider' );

    // Add theme support for Custom Logo.
	add_theme_support(
		'custom-logo', array(
			'width'      => 300,
			'height'     => 120,
			'flex-width' => true,			
		)
	);	

	// Add theme support for Custom Header.
	
	add_theme_support( 'custom-header', apply_filters( 'admania_custom_header_args', array(
		'default-text-color'     => 'fff',
		'header-text' 			 =>	false,
		'width'                  => 1600,
		'height'                 => 600		
	)));
	
	// Add support for Block Styles.
	
	add_theme_support( 'wp-block-styles' );

	// Add support for full and wide align images.
	
	add_theme_support( 'align-wide' );
	
	// Add support for editor styles.
	
	add_theme_support( 'editor-styles' );
			
	/*
	* Enqueue add_editor_style
	*/
	
	add_editor_style( 'style-editor.css' );
	
	// Add support for responsive embedded content.
	
	add_theme_support( 'responsive-embeds' );
	
	// Add theme support for selective refresh for widgets.
    add_theme_support('customize-selective-refresh-widgets');

	// Registering navigation menus.
	
	register_nav_menus( array(
		
		'admania-primary-menu' 	=> esc_html__( 'Primary Menu','ad-mania' ),
		'admania-secondary-menu' 	=> esc_html__( 'Secondary Menu','ad-mania' ),
		'admania-footer-menu' 	=> esc_html__( 'Footer Menu','ad-mania' ) 	
        
	) );
		
	// Setup the WordPress core custom background feature.
	
	add_theme_support( 'custom-background', apply_filters( 'admania_custom_background_args', array(
		'default-color' => 'eaeaea'
	) ) );
	

   /*
    * Switch default core markup for search form, comment form, and comments
    * to output valid HTML5.
    */
	
   add_theme_support('html5', array(
       'search-form', 'comment-form', 'comment-list', 'gallery', 'caption',
   ));
   
    /*
	 * Enable support for Post Formats.
	 *
	 */
	 
	add_theme_support( 'post-formats', array(
		'aside', 'image', 'video', 'quote', 'link', 'gallery', 'status', 'audio', 'chat'
	) );
	
	
   add_image_size('admania-seven-slider-featured-image', 675, 500, true);
   add_image_size('admania-seven-slider-right-featured-image', 252, 274, true);
   add_image_size('admania-seven-cat-left-first-slider-featured-image', 495, 279, true);
   add_image_size('admania-seven-cat-right-slider-featured-image', 495, 279, true);
   add_image_size('admania-seven-cat2-featured-imageadd_image_size', 385, 290, true);
   add_image_size('admania-seven-cat3-featured-image', 100, 100, true);   
   add_image_size('admania-ninth-cat7-featured-image', 130, 100, true);
   add_image_size('admania-ninth-slider4-featured-image', 400, 260, true); 
   add_image_size('admania-ninth-cat6-featured-image', 200, 150, true);
   add_image_size('admania-seven-slider1-featured-image', 565, 450, true);
   add_image_size('admania-slider3-featured-image', 500, 500, true);
   add_image_size('admania-ten-cat9-featured-image1', 248, 186, true);
   add_image_size('admania-ten-cat9-featured-image2', 610, 458, true);
   add_image_size('admania-ten-cat10-featured-image1', 415, 600, true);   
   add_image_size('admania-featured5-post-image', 400, 600, true);   
   add_image_size('admania-featured14-post-image', 150, 150, true);   
   
   add_action('widgets_init', 'admania_widgets_init' ); // Register  admania widget areas.   
   add_action('wp_enqueue_scripts', 'admania_enqueue_scripts');  
  
  
  
}

endif;


/*register the widget  */


if(! function_exists( 'admania_widgets_init' )):
 
function admania_widgets_init() {	
  
    $admania_blog_layout = get_theme_mod('admania_blog_layout_type','amblyt1');

	 $admania_post_layout = get_theme_mod('admania_splyts_scheme','amsplyt1');

   	
	/*register right sidebar widget  */

	register_sidebar( array(
		'name'          => esc_html__( 'Primary Sidebar', 'ad-mania' ),
		'id'            => 'admania-primary-sidebar',
		'description'   => esc_html__( 'primary sidebar that appears on the Right.', 'ad-mania' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<div class="admania-widgettit"><h3 class="widget-title admania-widgetsbrtit">',
		'after_title'   => '</h3></div>',
	) );
	
	
	if($admania_blog_layout == 'amblyt1' || $admania_blog_layout == 'amblyt4' || $admania_post_layout == 'amsplyt1'):
	
	/*register Left sidebar widget  */

	register_sidebar( array(
		'name'          => esc_html__( 'Secondary Sidebar', 'ad-mania' ),
		'id'            => 'admania-secondary-sidebar',
		'description'   => esc_html__( 'Secondary sidebar that appears on the Left.', 'ad-mania' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<div class="admania-widgettit"><h3 class="widget-title admania-widgetsbrtit">',
		'after_title'   => '</h3></div>',
	) );
		
    endif;
		
	if($admania_blog_layout == 'amblyt4'):	
	
	/*register Layout4 Secondary1 sidebar widget  */

	register_sidebar( array(
		'name'          => esc_html__( 'Layout4 Secondary2 Sidebar', 'ad-mania' ),
		'id'            => 'admania-altsecondary-sidebar',
		'description'   => esc_html__( 'Layout4 Secondary2 sidebar that appears on the right.', 'ad-mania' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<div class="admania-widgettit"><h3 class="widget-title admania-widgetsbrtit">',
		'after_title'   => '</h3></div>',
	) );
	
	endif;
	
	
	if(class_exists('woocommerce')):
	
	register_sidebar( array(
		'name'          => esc_html__( 'Woocommerce right sidebar', 'ad-mania' ),
		'id'            => 'admania-shoppagewidget',
		'description'   => esc_html__( 'Woocommerce sidebar that appears on the right.', 'ad-mania' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<div class="admania-widgettit"><h3 class="widget-title admania-widgetsbrtit">',
		'after_title'   => '</h3></div>',
	) );
	
	endif;
	
	
	
	/*register Footer widgets1  */

	register_sidebar( array(
		'name'          => esc_html__( 'Footer Widget1', 'ad-mania' ),
		'id'            => 'admania-footer-widget1',
		'description'   => esc_html__( 'Footer widget1 that appears on the left side in the footer section of site.', 'ad-mania' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
	
	
	/*register Footer widgets2  */

	register_sidebar( array(
		'name'          => esc_html__( 'Footer Widget2', 'ad-mania' ),
		'id'            => 'admania-footer-widget2',
		'description'   => esc_html__( 'Footer widget2 that appears on the middle side in the footer section of site.', 'ad-mania' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
		
	
	/*register Footer widgets3  */

	register_sidebar( array(
		'name'          => esc_html__( 'Footer Widget3', 'ad-mania' ),
		'id'            => 'admania-footer-widget3',
		'description'   => esc_html__( 'Footer widget3 that appears on the right side in the footer section of site.', 'ad-mania' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
	
}

endif;

/*
Register Google Fonts
*/

if(! function_exists( 'admania_fonts_url' )):

function admania_fonts_url() {
	
	
	$admania_heading_googlefont = get_theme_mod('admania_googlefont','Noto Serif');
			
	$admania_body_googlefont = get_theme_mod('admania_bodygooglefont','Noto Serif');
			
	$admania_google_fontfamily_body_subset = get_theme_mod('admania_google_body_font_setting','cyrillic');
	
	$admania_google_fontfamily_heading_subset = get_theme_mod('admania_google_heading_font_setting','cyrillic');
	
    $admania_google_body_font_weight_setting = get_theme_mod('admania_google_body_font_weight_setting',400);
	
	$admania_google_heading_font_weight_setting = get_theme_mod('admania_hdweight',100);
		
    $admania_fonturl = '';
    
    /*
    Translators: If there are characters in your language that are not supported
    by chosen font(s), translate this to 'off'. Do not translate into your own language.
     */
    if ( 'off' !== _x( 'on', 'Google font: on or off', 'ad-mania' ) ) {
            
	   $admania_fonturl = add_query_arg( 'family', urlencode( ''.esc_html($admania_body_googlefont).':'.esc_html($admania_google_body_font_weight_setting).' |'.esc_html($admania_heading_googlefont).':'.esc_html($admania_google_heading_font_weight_setting).'&subset='.esc_html($admania_google_fontfamily_body_subset).','.esc_html($admania_google_fontfamily_heading_subset).''), "//fonts.googleapis.com/css" );
    }
    return esc_url_raw($admania_fonturl);
}
endif;	
 
// Load Custom Js And style. 

if(! function_exists( 'admania_enqueue_scripts' )):

function admania_enqueue_scripts() {

       global $post,$admania_customcss,$admania_custom_script;

		$admania_customcss .= '';		
		$admania_pgepstadpgepstnslt2 = '';
		$admania_glysbhlad1 = '';
	    $admania_pstadpstnslt1 = ''; 
		$admania_glysbglead1 = '';
		$admania_pgepstadenable3 = '';
		$admania_pstadenable3 = '';
		$admania_admargin = '';
		$admania_lvedtadalgn = '';
		$admania_pstadenable2 = '';
		$admania_admargin1 = '';
		$admania_admargin3 = '';
		$admania_adpscss1 = '';
		$admania_lvedtadalgn1 = '';
		$admania_pgepstadenable2 = '';
		$admania_admargin4 = '';
		$admania_pstadpstnslt2 = '';
		$admania_lvedtadaftrparaalgn1 = '';
		$admania_glysbimgad1  = '';
	    $admania_glysbimgadlink = '';
			$admania_pstadenable3 = '';
		$admania_pstadpstnslt1 = '';
		$admania_pstadpstnslt2 = '';
		
		$admania_pgepstadenable3 = '';
		$admania_pgepstadenable2 = '';
		$admania_pgepstadpgepstnslt1 = '';
		$admania_pgepstadpgepstnslt2 = '';
		$admania_glytphlad  = '';
	    $admania_glytpglead  = '';
	    $admania_glytpimgad  = '';
	    $admania_glytpimgadlink  = '';
		$admania_glybmhlad  = '';
	    $admania_glybmglead  = '';
	    $admania_glybmimgad  = '';
	    $admania_glybmimgadlink  = '';
		$admania_chkwpdtbdycls  = get_body_class();
				
	    $admania_blog_layout = get_theme_mod('admania_blog_layout_type','amblyt1');
		$admania_single_layout = get_theme_mod('admania_splyts_scheme','amsplyt1'); 
 	
		// Enqueue Theme Style

		$admania_dir_uri = get_template_directory_uri();	
	
		wp_enqueue_style( 'admania-fonts', admania_fonts_url(), array(), null );
	
		wp_enqueue_style('admania-style', get_stylesheet_uri());
		
		// Enqueue custom style for woocommerce
		if ( class_exists( 'Woocommerce' ) ) {
			wp_enqueue_style( 'woocommerce', get_template_directory_uri() . '/lib/includes/admin/css/woocm.css' );
		    if ( is_rtl() ):
			   wp_enqueue_style( 'woocommercertl', get_template_directory_uri() . '/lib/includes/admin/css/woocmrtl.css' );
		    endif;
		}
    	
		// Enqueue Theme Inline-Style
		
		if(is_single()) {
		$admania_pstadenable2 = get_post_meta($post->ID, '_admania_pstadenable2', true);
		$admania_pstadenable3 = get_post_meta($post->ID, '_admania_pstadenable3', true);
		$admania_pstadpstnslt1 = get_post_meta($post->ID, '_admania_pstadpstnslt1', true);
		$admania_pstadpstnslt2 = get_post_meta($post->ID, '_admania_pstadpstnslt2', true);
		}
		elseif(is_page()) {
		$admania_pgepstadenable3 = get_post_meta($post->ID, '_admania_pgepstadenable3', true);
		$admania_pgepstadenable2 = get_post_meta($post->ID, '_admania_pgepstadenable2', true);
		$admania_pgepstadpgepstnslt1 = get_post_meta($post->ID, '_admania_pgepstadpgepstnslt1', true);
		$admania_pgepstadpgepstnslt2 = get_post_meta($post->ID, '_admania_pgepstadpgepstnslt2', true);
		}

		$admania_customcss .= "
		h1,.admania-sitetitle a {		
		font-family:".esc_html(get_theme_mod('admania_googlefont','Noto Serif'))." !important;
		font-size:".esc_html(get_theme_mod('headeroneadmania_fontsize',"37"))."px;
		line-height:".esc_html(get_theme_mod('admania_headeronelineheight',"47"))."px;
		text-transform:".esc_html(get_theme_mod('admania_hdonetrfrm','capitalize')).";
		}\r\n";
		$admania_customcss .= "
		h2 {		
		font-family:".esc_html(get_theme_mod('admania_googlefont','Noto Serif'))." !important;
		font-size:".esc_html(get_theme_mod('headertwoadmania_fontsize',"27"))."px;
		line-height:".esc_html(get_theme_mod('admania_headertwolineheight',"41"))."px;
		text-transform:".esc_html(get_theme_mod('admania_heading2_text_tranform_setting','capitalize')).";
		}\r\n";
		$admania_customcss .= "
		h3 {
		font-family:".esc_html(get_theme_mod('admania_googlefont','Noto Serif'))." !important;
		font-size:".esc_html(get_theme_mod('headerthreeadmania_fontsize',"23"))."px;
		line-height:".esc_html(get_theme_mod('admania_headerthreelineheight',"32"))."px;
		text-transform:".esc_html(get_theme_mod('admania_heading3_text_tranform_setting','capitalize')).";
		}\r\n";
		$admania_customcss .= "
		h4 {		
		font-family:".esc_html(get_theme_mod('admania_googlefont','Noto Serif'))." !important;
		font-size:".esc_html(get_theme_mod('headerfouradmania_fontsize',"21"))."px;
		line-height:".esc_html(get_theme_mod('admania_headerfourlineheight',"30"))."px;
		text-transform:".esc_html(get_theme_mod('admania_heading4_text_tranform_setting','capitalize')).";
		}\r\n";
		$admania_customcss .= "
		h5 {		
		font-family:".esc_html(get_theme_mod('admania_googlefont','Noto Serif'))." !important;
		font-size:".esc_html(get_theme_mod('headerfiveadmania_fontsize',"18"))."px;
		line-height:".esc_html(get_theme_mod('admania_headerfivelineheight',"28"))."px;
		text-transform:".esc_html(get_theme_mod('admania_heading5_text_tranform_setting','capitalize')).";
		}\r\n";
		$admania_customcss .= "
		h6 {		
		font-family:".esc_html(get_theme_mod('admania_googlefont','Noto Serif'))." !important;
		font-size:".esc_html(get_theme_mod('headersixadmania_fontsize',"16"))."px;
		line-height:".esc_html(get_theme_mod('admania_headersixlineheight',"25"))."px;
		text-transform:".esc_html(get_theme_mod('admania_heading6_text_tranform_setting','capitalize')).";
		}\r\n";
		$admania_customcss .= "
		.admania-gridentry .admania-entryheader h2 {		
		font-family:".esc_html(get_theme_mod('admania_googlefont','Noto Serif'))." !important;
		font-size:".esc_html(get_theme_mod('headertwoadmania_fontsize',"18"))."px;
		line-height:".esc_html(get_theme_mod('admania_headertwolineheight',"30"))."px;
		text-transform:".esc_html(get_theme_mod('admania_heading2_text_tranform_setting','none')).";
		}\r\n";
		$admania_customcss .= "
		h1,h2,h3,h4,h5,h6 {		
			font-weight:".esc_html(get_theme_mod('admania_hdweight','600')).";
		}\r\n";
		
		$admania_customcss .= "
		body {
			font-family:".esc_html(get_theme_mod('admania_bodygooglefont','Noto Serif')).";
			color:".esc_html(get_theme_mod('fontcolor','#282828')).";
			background: ".esc_html(get_theme_mod('backgroundcolor','#ffffff')). ";
			font-size: ".esc_html(get_theme_mod('admania_body_font_setting','16px')).";
			line-height:".esc_html(get_theme_mod('lineheight',"28px")).";
		}\r\n";

		$admania_customcss.= "
		.admania-entrycontent a {
		color: ".esc_html(get_theme_mod('admania_postcontentlinkcolor',"#858181"))." !important;
		text-decoration:".esc_html(get_theme_mod('admania_linktype',"underline"))." !important;
		}\r\n";


		$admania_customcss.= ".admania-entrycontent a:hover {color: ".esc_html(get_theme_mod('admania_postcontentlinkhovercolor',"#47a7d7"))." !important;}\r\n";

		$admania_customcss .= "h1,h2,h3,h4,h5,h6,.admania-eighth-category3-slider-item-header h5 a,.admania-eighth-category5-slider-item-header h5 a,.admania-ninth-category7-ftr-list h5 a,.admania-eighth-slider-item-header h2 a {color:".esc_html(get_theme_mod('headerfontcolor','#222')).";text-transform: ".esc_html(get_theme_mod('admania_hdonetrfrm','none')).";}\r\n";

		$admania_customcss .= ".admania-headertopalt,.admania-mobileheader,.admania_headerbtm,.admania-headersgstkyad {box-shadow: 2px 2px 5px ".esc_html(get_theme_mod('admania_hdrtpbxclr',"#e3e3e3")).";border-bottom: 1px solid ".esc_html(get_theme_mod('admania_hdrtpbdrbtmclr',"#dddddd")).";}\r\n";

		$admania_customcss .= ".admania-headertopsocial li a {color:".esc_html(get_theme_mod('admania_hdrtpsclclr','#111')).";}\r\n";

		$admania_customcss .= ".admania-headerinneralt,.admania_menu .menu .sub-menu,.admania-secondarymenu .menu .sub-menu,.admania-boxedheadertop,.admania-boxedlayout .admania-secondarymenu .menu .sub-menu { background-color:".esc_html(get_theme_mod('admania_hdrbtmbgclr','#222222')).";border: 0px solid #dddddd;box-shadow: 0px 0px 0px #e3e3e3;}\r\n";
		
		$admania_customcss .= ".admania-headersearchform .search-form  input[type=\"search\"] {background:".esc_html(get_theme_mod('admania_srchtxtbgclr','#252424')).";color:".esc_html(get_theme_mod('admania_srchtxtclr','#fff')).";}\r\n";
		
	     $admania_customcss .= ".admania-restitle1{padding:0px;}\r\n";
	
		$admania_customcss .= ".admania-headersearchform .search-form input[type=\"search\"]::-webkit-input-placeholder {color:".esc_html(get_theme_mod('admania_srchtxtclr','#fff')).";}\r\n";
		
		$admania_customcss .= ".admania-headersearchform .search-form input[type=\"search\"]::-moz-placeholder {color:".esc_html(get_theme_mod('admania_srchtxtclr','#fff')).";}\r\n";
		
		$admania_customcss .= ".admania-headersearchform .search-form input[type=\"search\"]::-ms-input-placeholder {color:".esc_html(get_theme_mod('admania_srchtxtclr','#fff'))."; }\r\n";
		
		$admania_customcss .= ".admania-headersearchform .search-form input[type=\"submit\"] {background-color:".esc_html(get_theme_mod('admania_srchtxtbgclr','#252424')).";}\r\n";

		$admania_customcss .= ".admania-slidercat,.admania-cat, .admania-featcatlist a,.owl-prev, .owl-next {background:".esc_html(get_theme_mod('admania-catbgclr','#fff')).";color:".esc_html(get_theme_mod('admania-cattxtclr','#111')).";}\r\n";

		$admania_customcss .= ".admania-slidercontent h2 a,.admania-slidercontent {color:".esc_html(get_theme_mod('admania_sldrhdclr','#fff')).";}\r\n";

		$admania_customcss .= ".reply a,.admania-top a,.admania-slidercat5 a,.admania-slidercat2 a,input[type=\"reset\"], input[type=\"button\"], input[type=\"submit\"], button {background:".esc_html(get_theme_mod('admania_thmebtnclr','#47a7d7')).";color:".esc_html(get_theme_mod('admania_thmetxtbtnclr','#fff')).";}\r\n";

		$admania_customcss .= ".admania-slidercontent2, .admania-slidercontent2 a {color:".esc_html(get_theme_mod('admania_thmetxtbtnclr','#fff'))." !important;}\r\n";
		
		$admania_customcss .= ".admania-slidercat4 a {color:".esc_html(get_theme_mod('admania_thmebtnclr','#47a7d7'))." !important;}\r\n";
		
		$admania_customcss .= ".reply a:hover,.admania-top a:hover,input[type=\"reset\"]:hover, input[type=\"button\"]:hover, input[type=\"submit\"]:hover, button:hover {background:".esc_html(get_theme_mod('admania_thmebtnhvclr','#2a2a2a')).";color:".esc_html(get_theme_mod('admania_thmetxtbtnhvclr','#fff')).";}\r\n";

		$admania_customcss .= "a,.admania-sitefooterinner .widget_admania_popular_post ul li h6 a {color:".esc_html((get_theme_mod('admania_linkclr')) ? get_theme_mod('admania_linkclr') :'#858181').";}\r\n";

		$admania_customcss .= "a:hover,.admania-entryheader_featured_image .admania-entryheader a:hover,.admania-ten-category10-slider-item-header h6 a:hover,.admania-ten-category10-slider-item-header h5 a:hover,.admania-ten-post-entrytitle a:hover,.admania-eighth-category3-slider-item-header h5 a:hover,.admania-eighth-category5-slider-item-header h5 a:hover,.admania-slidercontent4  h2 a:hover,.admania-sitefooterinner .widget_admania_popular_post ul li h6 a:hover,.admania-boxedsldehdr h2 a:hover,.admania-boxedheadertop .admania-secondarymenu li a:hover,.admania-boxedlistitem h2 a:hover, .admania-boxedgriditem h2 a:hover,.admania-ly2ftsection h2 a:hover,.admania-headertopsocial li a:hover, .admania-slidercontent h2 a:hover, .admania-ftrattbtontop .admania-fbflw:hover, .admania-ftrattbtontop .admania-twtflw:hover, .admania-ftrattbtontop .admania-lnkflw:hover,.admania_widgetcatlist_post .admania-catentryheader h2 a:hover,.widget .admania_socialiconfb:hover, .widget .admania_socialiconlnk:hover, .widget .admania_socialicontwt:hover,.admania-seven-slider1-item-header h2 a:hover {color:".esc_html(get_theme_mod('admania_lnkhvclr','#47a7d7')).";}\r\n";

		$admania_customcss .= ".admanialayt5-entryfooter a { background-color:".esc_html(get_theme_mod('admania_layt5thmecntrdtxtclr','#222')).";}\r\n";
				
		$admania_customcss .= ".admania-slidercontent4 h2 a:hover,.admania-ninth-category7-ftr-list h5 a:hover,.admanialayt5-entryheader a:hover { color:".esc_html(get_theme_mod('admania_lnkhvclr','#47a7d7'))." !important;}\r\n";
	
		$admania_customcss .=".admania_pagelinks .admania_pglnlksaf:hover,.admania-ninth-post-readlink:hover,.admania-pagination .page-numbers:hover {background:".esc_html(get_theme_mod('admania_lnkhvclr','#47a7d7')).";border:1px solid".esc_html(get_theme_mod('admania_lnkhvclr','#47a7d7')).";color:".esc_html(get_theme_mod('admania_thmetxtbtnhvclr','#fff')).";}\r\n";

		$admania_customcss .=".admania-readmorelink a,.admania-seven-post-readmore a,.admania-stickypost {background:".esc_html(get_theme_mod('admania_thmecntrdbgclr','#f9f9f9')).";color:".esc_html(get_theme_mod('admania_thmecntrdtxtclr','#a59e9e')).";}\r\n";
	
		$admania_customcss .=".admania-gridentry .admania-entrytitle {min-height: ".esc_html(get_theme_mod('gridpst_minhgt','0'))."px;}\r\n";
		
		$admania_customcss .=".admania-readmorelink a:hover,.admania-seven-post-readmore a:hover,.admanialayt5-entryfooter a:hover,.admanialayt5-entryfooter a:hover,.owl-next:hover,.owl-prev:hover, .owl-prev:hover ~ .owl-next,.admania-secondarymenu .owl-next:hover,.admania-secondarymenu .owl-prev:hover,.admania-secondarymenu .owl-prev:hover ~ .owl-next,.admania-secondarymenu .admania_nxtishover .owl-prev,.admania_nxtishover .owl-prev,.owl-prev:hover,.owl-next:hover{background:".esc_html(get_theme_mod('admania_thmecntrdbghvclr','#47a7d7')).";color:".esc_html(get_theme_mod('admania_thmecntrdtxthvclr','#fff')).";}\r\n";

		$admania_customcss .=".admania_menu li a:hover {background-color:".esc_html(get_theme_mod('admania_lnkhvclr','#47a7d7')).";color:".esc_html(get_theme_mod('admania_thmetxtbtnhvclr','#fff')).";}\r\n";

		$admania_customcss .=".admania_menu .admania-megamenu li a:hover {color:".esc_html((get_theme_mod('admania_lnkhvclr')) ? get_theme_mod('admania_lnkhvclr') :'#47a7d7')." !important;}\r\n";
		
		$admania_customcss .=".admania-postoptionbox {background-color:".esc_html(get_theme_mod('admania_postoptintopbgcolor','#fbfbfb')).";border: 1px solid ".esc_html(get_theme_mod('admania_postoptintopbgbdrcolor','#eee')).";}\r\n";

		$admania_customcss .=".admania-postoptionbox input[type=\"text\"],.admania-widgettit .admania-widgetsbrtit {background-color:".esc_html(get_theme_mod('backgroundcolor','#ffffff')).";border: 1px solid ".esc_html(get_theme_mod('admania_postoptintopbgbdrcolor','#eee')).";}\r\n";

		$admania_customcss .=".admania-headersgstkyad,.admania-boxedsldecat {background-color:".esc_html(get_theme_mod('backgroundcolor','#ffffff')).";}\r\n";
		
		$admania_customcss .=".bypostauthor {border-left: 1px solid ".esc_html(get_theme_mod('admania_thmecntrdbghvclr','#47a7d7')).";}\r\n";

		$admania_customcss .=" .admania-nocomments,.admania-commentlist li { background: ".esc_html(get_theme_mod('admania_pstcmtbgclr','#f7f7f7')).";}\r\n";

		$admania_customcss .=".admania-entrymeta a,.admania-gridentry .admania-entrymetablne a:hover,.admania_breadcrumb a,.admania-entrybyline a,.admania_aboutreadmore { color:".esc_html(get_theme_mod('admania_lnkhvclr','#47a7d7')).";}\r\n";

		$admania_customcss .=".admania-entrymeta a:hover,.admania-gridentry .admania-entrymetablne a,.admania_breadcrumb a:hover,.admania_aboutreadmore:hover,.admania-entrybyline a:hover { color:".esc_html(get_theme_mod('admania_linkclr','#858181')).";}\r\n";
		
		$admania_customcss .=".admania-headertoplayt3,.admania-headertoplayt5-top { background-color:".esc_html(get_theme_mod('admania_layt3bgcolor','#1d1d1d')).";}\r\n";
		
        $admania_customcss .=".admania-gridpstlayt3 .admania-gridpost-entryfooter .admania-pstrdmr { color:".esc_html(get_theme_mod('admania_layt3thmecntrdtxtclr','#222')).";}\r\n";
		
		$admania_customcss .=".admania-headermidlayt3 { background-color:".esc_html(get_theme_mod('admania_layt3midbgcolor','#f7f7f7')).";}\r\n";
						
		$admania_customcss .= ".admania_menu li a,.admania-lay7-menu .sub-menu li a,.admania-lay8-menu .sub-menu li a,.admania_lay9_menu .sub-menu li a {color:".esc_html(get_theme_mod('admania_primarynavclr','#fff')).";}\r\n";
	
		$admania_customcss .=".admania-lay2headerright .menu li a,.admania-lay7-menu li a,.admania-lay4-menu li a,.admania-lay8-menu li a,.admania_lay9_menu li a  {color:".esc_html(get_theme_mod('admania_layt2navtxtcolor','#222222')).";}\r\n";
		
        $admania_customcss .= ".admania-lay4-menu .sub-menu li a {color:".esc_html(get_theme_mod('admania_primarynavclr','#fff')).";}\r\n";
	
	    $admania_customcss .= ".admania-gridpstlayt3 .admania-gridpost-entryfooter .admania-pstrdmr:hover,.admania-slidercontent5 h2 a:hover,.admania-ninth-slider-item-header h2 a:hover,.admania-slidermetaby5 a:hover,.admania-ninth-category6-slider-item-header h5 a:hover,.admania-eighth-slider-item-header h2 a:hover { color:".esc_html(get_theme_mod('admania_lnkhvclr','#47a7d7'))." !important;}\r\n";
				
		$admania_customcss .= ".admania-stylishad { right:".esc_html(get_theme_mod('ad_plcposrgt','0'))."%;bottom:".esc_html(get_theme_mod('ad_plcposbtm','0'))."%;}\r\n";
		
        $admania_customcss .= ".admania-pgstylishad { right:".esc_html(get_theme_mod('ad_pgplcposrgt','0'))."%;bottom:".esc_html(get_theme_mod('ad_pgplcposbtm','0'))."%;}\r\n";
		
		$admania_customcss .= ".admania-sitefooterinnertop,.admania-sitefooterlogo {color:".esc_html(get_theme_mod('admania_ftrtextcolor','#858181')).";}\r\n";
		
		$admania_customcss .= ".admania-sitefooter {background-color:".esc_html(get_theme_mod('admania_ftrbgcolor','#222222')).";}\r\n";
		
		$admania_customcss .= ".admania-sitefooterinnertop li a,.admania-sitefooterlogo {border-bottom: 1px solid ".esc_html(get_theme_mod('admania_ftrbdrcolor','#2d2d2d'))." !important;}\r\n";
		
		$admania_customcss .= ".admania-sitefooterinnertop .admania-footerwidgets-title, .admania-sitefooterinnertop .widget-title {color:".esc_html(get_theme_mod('admania_ftrwdgttitcolor','#ffffff')).";}\r\n";
		
	    $admania_customcss .= ".admania-boxedlayout .admania_menu li a:hover {background-color: transparent !important; color:".esc_html(get_theme_mod('admania_lnkhvclr','#47a7d7'))."!important;}\r\n";
		   
	    $admania_customcss .= ".admania-boxedlayout .admania-boxedheadertop a { color:".esc_html(get_theme_mod('admania_bxdhdrbtmtxtclr','#7b7b7b')).";}\r\n";
		
		
		$admania_customcss .= "#tribe-events-content a, .tribe-events-adv-list-widget .tribe-events-widget-link a, .tribe-events-adv-list-widget .tribe-events-widget-link a:hover, .tribe-events-back a, .tribe-events-back a:hover, .tribe-events-event-meta a, .tribe-events-list-widget .tribe-events-widget-link a, .tribe-events-list-widget .tribe-events-widget-link a:hover, ul.tribe-events-sub-nav a, ul.tribe-events-sub-nav a:hover {
			text-decoration: none !important;
			color: #222!important;
		}
		\r\n";
		
		if(get_theme_mod('laytsdbar_swapng') != '') {
			
		if(is_rtl()):
		
		$admania_customcss .=	".admania-secondarycontentarea {float: left;padding: 0 40px 0 0px;} \r\n";
		$admania_customcss .=	".admania-layout1contentareainner {float: right;} \r\n";
		$admania_customcss .=	".admania-contentarea {float: left;} \r\n";
		$admania_customcss .=	".admania-primarycontentarea {float: right;padding: 0 0px 0 26px;} \r\n";        		

		else:
		$admania_customcss .=	".admania-secondarycontentarea {float: right;padding: 0 0px 0 40px;} \r\n";
		$admania_customcss .=	".admania-layout1contentareainner {float: left;} \r\n";
		$admania_customcss .=	".admania-contentarea {float: right;} \r\n";
		$admania_customcss .=	".admania-primarycontentarea {float: left;padding: 0 26px 0 0px;} \r\n";        		

		endif;
		}
		
      	if((get_theme_mod('layt4_cnt_lstsdbr') == 1)){
		$admania_customcss .= ".admania-layout1contentareainner,.admania-layout4postright {width: 100%;padding: 0px 0px 0px 0px;} \r\n";
		$admania_customcss .= ".admania-entrymetablne {left: 20px;} \r\n";			
		}		
		if((get_theme_mod('layt4_cnt_rgtsdbr') == 1)) {
		$admania_customcss .= ".admania-contentarea {width: 100%;float:none;padding: 0px 0px 0px 0px;} \r\n";
		}	
		if((get_theme_mod('layt4_cnt_frstlaytlstsdbr') == 1)) {
		$admania_customcss .= ".admania-layout4postright,.admania-layout4contentareainner {width: 100%;padding: 0px 0px 0px 0px;} \r\n";
		}		
		
		if(get_theme_mod('layt4_cnt_rgtsdbr') == 1 || get_theme_mod('layt4_cnt_frstlaytlstsdbr') == 1) {
		$admania_customcss .= ".admania-layout4postrightleft {width: 100%;padding: 0px 0px 0px 0px;} \r\n";
		}		
		

		if((admania_get_lveditoption('hdr_lvedlhtmlad11')) || (admania_get_lveditoption('hdr_lvedlglead11')) || (admania_get_lveditoption('admania_lvedtrimgtg_url11')) || (admania_get_lveditoption('admania_lvedtimg_url11'))) {

		if((admania_get_lveditoption('frnt_lvedtralignpsttp') == 'none')):

		$admania_lvedtadalgn = '12px 0px 20px';

		elseif((admania_get_lveditoption('frnt_lvedtralignpsttp') == 'left')):

		$admania_lvedtadalgn = '10px 25px 0px 0';

		elseif((admania_get_lveditoption('frnt_lvedtralignpsttp') == 'right')):

		$admania_lvedtadalgn = '10px 0px 0px 25px';

		endif;

		$admania_customcss .= ".admania-postinnerad1 {float:".esc_html((admania_get_lveditoption('frnt_lvedtralignpsttp')) ? admania_get_lveditoption('frnt_lvedtralignpsttp'):'none').";margin:".esc_html($admania_lvedtadalgn).";}\r\n";

		}

		else {

		if($admania_pstadenable2 != '') {

		if(($admania_pstadpstnslt1 === 'none')):

		$admania_admargin = '12px 0px 20px';

		elseif(($admania_pstadpstnslt1 == 'left')):

		$admania_admargin = '10px 25px 0px 0';

		elseif(($admania_pstadpstnslt1 == 'right')):

		$admania_admargin = '10px 0px 0px 25px';

		endif;

		$admania_customcss .= ".admania-postinnerad1 {float:". esc_html(($admania_pstadpstnslt1) ? $admania_pstadpstnslt1 :'none').";margin:".esc_html($admania_admargin).";}\r\n";

		}

		else {

		if((admania_get_option('sngle_pstinrtphtmlad') != '') || (admania_get_option('sngle_pstinrtpgglead') != '') || (admania_get_option('admania_adimg_url12') != '') || (admania_get_option('admania_adimgtg_url12') != '')) {

		if((admania_get_option('sngle_pstinrtpadalgn1') == 'none')):

		$admania_admargin = '12px 0px 20px';

		elseif((admania_get_option('sngle_pstinrtpadalgn1') == 'left')):

		$admania_admargin = '10px 25px 0px 0';

		elseif((admania_get_option('sngle_pstinrtpadalgn1') == 'right')):

		$admania_admargin = '10px 0px 0px 25px';

		endif;

		$admania_customcss .= ".admania-postinnerad1 {float:". esc_html(!empty(admania_get_option('sngle_pstinrtpadalgn1')) ? (admania_get_option('sngle_pstinrtpadalgn1')): 'none').";margin:".esc_html($admania_admargin).";}\r\n";

		}
		}
		}

		if($admania_pgepstadenable2 != '') {

		if(($admania_pgepstadpgepstnslt1 === 'none')):

		$admania_admargin = '12px 0px 20px';

		elseif(($admania_pgepstadpgepstnslt1 === 'left')):

		$admania_admargin = '10px 25px 0px 0';

		elseif(($admania_pgepstadpgepstnslt1 === 'right')):

		$admania_admargin = '10px 0px 0px 25px';

		endif;

		$admania_customcss .= ".admania-postinnerad1 {float:". esc_html(($admania_pgepstadpgepstnslt1) ? $admania_pgepstadpgepstnslt1 :'none').";margin:".esc_html($admania_admargin).";}\r\n";

		}

		if((admania_get_lveditoption('hdr_lvedlhtmlad12')) || (admania_get_lveditoption('hdr_lvedlglead12')) || (admania_get_lveditoption('admania_lvedtrimgtg_url12')) || (admania_get_lveditoption('admania_lvedtimg_url12'))) {

		if((admania_get_lveditoption('frnt_lvedtralignpsttp1') == 'none')):

		$admania_admargin1 = '0px';

		elseif((admania_get_lveditoption('frnt_lvedtralignpsttp1') == 'left')):

		$admania_admargin1 = '10px 25px 0px 0';

		elseif((admania_get_lveditoption('frnt_lvedtralignpsttp1') == 'right')):

		$admania_admargin1 = '10px 0px 0px 25px';

		endif;

		$admania_customcss .= ".admania-aftrnthprad {float:". esc_html((admania_get_lveditoption('frnt_lvedtralignpsttp1')) ? admania_get_lveditoption('frnt_lvedtralignpsttp1'):'none').";margin:".($admania_admargin1).";} \r\n";

		}

		else {

		if($admania_pstadenable3 != '') {

		if(($admania_pstadpstnslt2 === 'none')):

		$admania_admargin1 = '0px';

		elseif(($admania_pstadpstnslt2 === 'left')):

		$admania_admargin1 = '10px 25px 0px 0';

		elseif(($admania_pstadpstnslt2 === 'right')):

		$admania_admargin1 = '10px 0px 0px 25px';

		endif;

		$admania_customcss .= ".admania-aftrnthprad {float:". esc_html(($admania_pstadpstnslt2) ? $admania_pstadpstnslt2:'none').";margin:".($admania_admargin1).";} \r\n";

		}

		else {

		if((admania_get_option('sngle_pstaftrnthpadalgn4') === 'none')):

		$admania_admargin1 = '0px';

		elseif((admania_get_option('sngle_pstaftrnthpadalgn4') === 'left')):

		$admania_admargin1 = '10px 25px 0px 0';

		elseif((admania_get_option('sngle_pstaftrnthpadalgn4') === 'right')):

		$admania_admargin1 = '10px 0px 0px 25px';

		endif;

		$admania_customcss .= ".admania-aftrnthprad  {float:". esc_html(!empty(admania_get_option('sngle_pstaftrnthpadalgn4')) ? (admania_get_option('sngle_pstaftrnthpadalgn4')): 'none').";margin:".($admania_admargin1).";} \r\n";

		}
		}




		if((admania_get_lveditoption('hdr_lvedlhtmlad18')) || (admania_get_lveditoption('hdr_lvedlglead18')) || (admania_get_lveditoption('admania_lvedtimg_url18'))) {

		if((admania_get_lveditoption('frnt_lvedtralignpsttp3') === 'none')):

		$admania_lvedtadalgn1 = '0px';

		elseif((admania_get_lveditoption('frnt_lvedtralignpsttp3') === 'left')):

		$admania_lvedtadalgn1 = '10px 25px 0px 0';

		elseif((admania_get_lveditoption('frnt_lvedtralignpsttp3') === 'right')):

		$admania_lvedtadalgn1 = '10px 0px 0px 25px';

		endif;


		$admania_customcss .= ".admania-pageinnertopad1 {float:". esc_html((admania_get_lveditoption('frnt_lvedtralignpsttp3')) ? admania_get_lveditoption('frnt_lvedtralignpsttp3'):'none').";margin:".esc_html($admania_lvedtadalgn1).";}\r\n";


		}

		else {

		if(admania_get_option('page_pstinrtphtmlad') != '') {

		if((admania_get_option('page_pstinrtpadalgn1') === 'none')):

		$admania_admargin = '0px';

		elseif((admania_get_option('page_pstinrtpadalgn1') === 'left')):

		$admania_admargin = '10px 25px 0px 0';

		elseif((admania_get_option('page_pstinrtpadalgn1') === 'right')):

		$admania_admargin = '10px 0px 0px 25px';

		endif;

		$admania_customcss .= ".admania-pageinnertopad1 {float:". esc_html(!empty(admania_get_option('page_pstinrtpadalgn1')) ? (admania_get_option('page_pstinrtpadalgn1')): 'none').";margin:".esc_html($admania_admargin).";}\r\n";

		}

		if(admania_get_option('page_pstinrtpgglead') != '') {

		if((admania_get_option('page_pstinrtpadalgn2') === 'none')):

		$admania_admargin = '0px';

		elseif((admania_get_option('page_pstinrtpadalgn2') === 'left')):

		$admania_admargin = '10px 25px 0px 0';

		elseif((admania_get_option('page_pstinrtpadalgn2') === 'right')):

		$admania_admargin = '10px 0px 0px 25px';

		endif;

		$admania_customcss .= ".admania-pageinnertopad1 {float:". esc_html(!empty(admania_get_option('page_pstinrtpadalgn2')) ? (admania_get_option('page_pstinrtpadalgn2')): 'none').";margin:".esc_html($admania_admargin).";} \r\n";

		}

		if((admania_get_option('admania_adimg_url19') != '') || (get_theme_mod('admania_adimgtg_url19'))) {


		if((admania_get_option('page_pstinrtpadalgn3') === 'none')):

		$admania_admargin = '0px';

		elseif((admania_get_option('page_pstinrtpadalgn3') === 'left')):

		$admania_admargin = '10px 25px 0px 0';

		elseif((admania_get_option('page_pstinrtpadalgn3') === 'right')):

		$admania_admargin = '10px 0px 0px 25px';

		endif;

		$admania_customcss .= ".admania-pageinnertopad1 {float:". esc_html(!empty(admania_get_option('page_pstinrtpadalgn3')) ? (admania_get_option('page_pstinrtpadalgn3')): 'none').";margin:".esc_html($admania_admargin).";}\r\n";

		}
		}



		if((admania_get_lveditoption('hdr_lvedlhtmlad19')) || (admania_get_lveditoption('hdr_lvedlglead19')) || (admania_get_lveditoption('admania_lvedtimg_url19'))) {

		if((admania_get_lveditoption('frnt_lvedtralignpsttp4') == 'none')):

		$admania_lvedtadaftrparaalgn1 = '0px';

		elseif((admania_get_lveditoption('frnt_lvedtralignpsttp4') == 'left')):

		$admania_lvedtadaftrparaalgn1 = '10px 25px 0px 0';

		elseif((admania_get_lveditoption('frnt_lvedtralignpsttp4') == 'right')):

		$admania_lvedtadaftrparaalgn1 = '10px 0px 0px 25px';

		endif;

		$admania_customcss .= ".admania-pgaftrnthprad {float:". esc_html((admania_get_lveditoption('frnt_lvedtralignpsttp4')) ? admania_get_lveditoption('frnt_lvedtralignpsttp4'):'none').";margin:".($admania_lvedtadaftrparaalgn1).";} \r\n";

		}
		else{


		if($admania_pgepstadenable3 != '') {

		if(($admania_pgepstadpgepstnslt2 === 'none')):

		$admania_admargin4 = '0px';

		elseif(($admania_pgepstadpgepstnslt2 === 'left')):

		$admania_admargin4 = '10px 25px 0px 0';

		elseif(($admania_pgepstadpgepstnslt2 === 'right')):

		$admania_admargin4 = '10px 0px 0px 25px';

		endif;


		$admania_customcss .= ".admania-pgaftrnthprad {float:". esc_html(($admania_pgepstadpgepstnslt2) ? $admania_pgepstadpgepstnslt2:'none').";margin:".($admania_admargin4).";} \r\n";

		}

		else {

		if((admania_get_option('page_pstaftrnthpadalgn4') === 'none')):

		$admania_admargin3 = '0px';

		elseif((admania_get_option('page_pstaftrnthpadalgn4') === 'left')):

		$admania_admargin3 = '10px 25px 0px 0';

		elseif((admania_get_option('page_pstaftrnthpadalgn4') === 'right')):

		$admania_admargin3 = '10px 0px 0px 25px';

		endif;

		$admania_customcss .= ".admania-pgaftrnthprad {float:". esc_html(!empty(admania_get_option('page_pstaftrnthpadalgn4')) ? (admania_get_option('page_pstaftrnthpadalgn4')): 'none').";margin:".($admania_admargin3).";} \r\n";

		}
		}

		if((get_theme_mod('hdr_adtplft_act1') === 1) && (get_theme_mod('hdr_adtprgt_act1') !== 1)) {
		$admania_customcss .= ".admanina-afterheaderad {text-align:center;} \r\n";
		$admania_customcss .= ".admanina-afterheaderadleft {float:none;width:100%} \r\n";
		}
		
		if(((get_theme_mod('admania_custom_logo') === true) && ($admania_blog_layout === 'amblyt5'))) {
		$admania_customcss .= ".admania-sitetitle {padding: 0 0 0px;} \r\n";
        }
		
		$admania_customcss .=".admania-headertoplayt5 .admania_menu li a:hover,.admania-lay5-menu .menu .current-menu-item > a {background-color:transparent;color:".esc_html(get_theme_mod('admania_lnkhvclr','#47a7d7'))."!important;}\r\n";
		
				
		if(get_theme_mod('wholelayoutwidth') != '') {
		$admania_customcss .= ".admania-siteinner,.admania-sitefooterinner,.admania-headerinner {width:".esc_html(get_theme_mod('wholelayoutwidth','1200'))."px;} \r\n";
		}
		
		
		if(get_theme_mod('admania_dabothsidebar') === 1) {
			$admania_customcss .= ".admania-contentarea,.admania-layout1contentareainner {float:none;width:100%;} \r\n";
		    $admania_customcss .= ".admania-entrymetablne {left: 25px;} \r\n";
			$admania_customcss .= ".admania-gridentry {width: 48.666%;} \r\n";
			$admania_customcss .= ".admania-gridpstlayt3 {width: 30.4%;} \r\n";
			$admania_customcss .= ".admania-layout4postright,.admania-contentareainner {width: 100%;float:none;padding: 0px;} \r\n";
			
		}
		
		if(((get_theme_mod('admania_enmblayout') != '') && (!wp_is_mobile())) || ((get_theme_mod('admania_blog_scheme') === 'amblyt6') && wp_is_mobile())) {
		
		$admania_customcss .= " 
		@media screen and (max-width:".(get_theme_mod('wholelayoutwidth','1200'))."px) {
	
		.admania-boxedlayout .admania-headerinner {
			width:100% !important;
			padding: 0 20px !important;
		}
		
		}\r\n";	
		
		}

		$admania_customcss .= " 
		@media screen and (max-width:".(get_theme_mod('wholelayoutwidth','1200'))."px) {
		.admania-siteinner, 
		.admania-sitefooterinner,
         .admania-footer-optin,		
		.admania-headerbtminner,
.admania-header-optin2,		
		.admania-headerinner {
		width:100%;
		padding: 0 20px;
		}
		.admania-header-optin-inner {
			width:100%;
			padding:3em 1em;
		}
		.admania-header-search-box-inner {
			width:100%;
		}
		.admania-post6-header-featured-image .admania-post6-left-image,
		.admania-layout10-postimg .admania-ten-featured-image {
			width: 47%;
		}
		.admania-post6-header-featured-image .admania-post6-left-image + .admania-entryheader, 
		.admania-layout10-postimg .admania-ten-featured-image + .admania-ten-post-entry {
    		width: 48%;
		}
		.admania-boxedlayout .admania-siteinner {
		padding: 0px;
		}
		.admania-boxedlayout .admania-siteinner,
		.admania-boxedlayout  .admania-sitefooterinner {
			width:100% !important;
		}
		.search-form label {
			width: 68%;
		}
		.admania-lay2headerright .menu li a {
			font-size: 16px;
			padding: 18px 15px;			
		}
						
		.admania-layout5gridpst {
			margin: 0 3% 3% 0;
		}

		.admania-gridentry {
		width: 47.1%;
		}

		.admania-featcatlist {
			width: 30%;
		}

		.admania-featcatlist a {
			padding: 4px 14px;
			font-size: 13px;
		}

		.admanina-afterheaderadleft {
		width: 72%;
		}

		.admanina-afterheaderadright {
			width: 25%;
		}

		.admania-optin {
			padding: 27px 25px;
		}

		}\r\n";
		
		if(get_theme_mod('admania_dabothsidebar') === 1) {
		$admania_customcss .= "@media screen and (max-width:990px) {
        .admania-gridentry {
			width: 48%;
		}
		.admania-boxedlayout .admania-secondarymenu .menu .sub-menu {
			background-color:transparent !important;
		}
		}\r\n";
        }
		else {
		$admania_customcss .= "@media screen and (max-width:990px) {
        .admania-boxedlayout .admania-secondarymenu .menu .sub-menu {
			background-color:transparent !important;
		}
		}\r\n";
		}
		
		$admania_customcss .= "@media screen and (max-width:990px) {
			
		.admania-push-out-menu,.admania-pushout-secondary-menu{background-color:".esc_html(get_theme_mod('admania_mobilebgclr','#0592e0fc')).";}
		
		.admania-push-out-menu .menu li,.admania-push-out-menu .menu .sub-menu li, .admania-pushout-secondary-menu .menu li,.admania-pushout-secondary-menu .menu .sub-menu li{border-bottom:1px solid ".esc_html(get_theme_mod('admania_mobilebdrclr','#90bcd6')).";}
		
		.admania-push-out-menu .menu .sub-menu li:first-child,.admania-pushout-secondary-menu .menu .sub-menu li:first-child {border-top:1px solid ".esc_html((get_theme_mod('admania_mobilebdrclr','#90bcd6'))).";}
				
		}\r\n";	
		
		if(get_theme_mod('admania_header_sticky_onmobile_setting') != '') {
				
			$admania_customcss .= "@media screen and (max-width:600px) {
				.admania-show-header-sticky {
					display:block;
				}
			}\r\n";	
		
		}
		
		if ( get_header_image() ) {		 
					    			
		    $admania_customcss .= " 
			@media screen and (max-width:480px) {
		
			.admania-siteheader {
				margin: 0px;
			}
		
			}\r\n";
			
			$admania_customcss.= ".admania-siteheader {color: #fff;background-image:url(".esc_url(get_header_image()).");position:relative;background-repeat:no-repeat;background-position:50% 50%;background-size:cover;}\r\n";
            $admania_customcss.= ".admania-headertoplayt5-bottom .admania-menutoggle {color:#fff !important;}\r\n";
            $admania_customcss.= ".admania-siteheader:before{content:'';position: absolute;left: 0;right: 0;bottom: 0;top: 0;background-color: #2222227a;}\r\n";
		    $admania_customcss.= ".admania-headerinner{position:relative;}\r\n";
			$admania_customcss.= ".admania-siteheader a {color:#fff !important;}\r\n";
		    $admania_customcss.= ".admania-headertoplayt3, .admania-headertoplayt5-top{opacity:0.8;}\r\n";		
		    $admania_customcss.= ".admania-headermidlayt4 .admania-headerinner{margin: 0 0 -7px;}\r\n";
		    $admania_customcss.= ".admania-header-seven-bottom .admania-headerinner { border-top: 3px solid #fff;border-bottom: 0px solid #222;margin: 0 0 -7px;}\r\n";
		}

		$admania_customcss .= ".admania-single-full-gb .admania-entrycontent .wp-block-button__link { color: inherit !important;text-decoration: none !important;} \r\n";
		
	wp_add_inline_style('admania-style', $admania_customcss);
		
    if (!is_admin()) {
    if(is_single()){
				
	$admania_glytphlad  = get_post_meta($post->ID, '_admania_glytphlad', true);
	$admania_glytpglead  = get_post_meta($post->ID, '_admania_glytpglead', true);
	$admania_glytpimgad  = get_post_meta($post->ID, '_admania_glytpimgad', true);
	$admania_glytpimgadlink  = get_post_meta($post->ID, '_admania_glytpimgadlink', true);	
		
	$admania_glysbhlad1  = get_post_meta($post->ID, '_admania_glysbhlad1', true);
	$admania_glysbglead1  = get_post_meta($post->ID, '_admania_glysbglead1', true);
	$admania_glysbimgad1  = get_post_meta($post->ID, '_admania_glysbimgad1', true);
	$admania_glysbimgadlink = get_post_meta($post->ID, '_admania_glysbimgadlink', true);
	
	
	$admania_glybmhlad  = get_post_meta($post->ID, '_admania_glybmhlad', true);
	$admania_glybmglead  = get_post_meta($post->ID, '_admania_glybmglead', true);
	$admania_glybmimgad  = get_post_meta($post->ID, '_admania_glybmimgad', true);
	$admania_glybmimgadlink  = get_post_meta($post->ID, '_admania_glybmimgadlink', true);
	
	}
	
	// Enqueue Theme Javascript  		   
		 	
	wp_enqueue_script('mincustom', $admania_dir_uri . '/js/mincustom.js', array('jquery'), null, true); 	
		
	wp_localize_script( 'mincustom', 'admaniastchk', array(
		'admania_chkdisplay'   => is_single(),
        'admania_chk_page_display'   => is_page(),		
        'admania_fedajaxurl' => admin_url( 'admin-ajax.php' ),
		'admania_chkspdpg'   => !in_array('single-product',$admania_chkwpdtbdycls),		
		'admania_chkblogoptions' => $admania_blog_layout,
		'admania_chksptoptions' => $admania_single_layout,
		'admaniafe_buttontext'=> esc_html__('Click to show rotating ad options','ad-mania'),
		'admania_glysbhlad1' => $admania_glysbhlad1,
		'admania_glysbglead1' => $admania_glysbglead1,
        'admania_glysbimgad1' => esc_url($admania_glysbimgad1),	
        'admania_glysbimgadlink' => esc_url($admania_glysbimgadlink),		
        'admania_glytphlad' => $admania_glytphlad,
		'admania_glytpglead' => $admania_glytpglead,
        'admania_glytpimgad' => esc_url($admania_glytpimgad),	
        'admania_glytpimgadlink' => esc_url($admania_glytpimgadlink),	
	    'admania_glybmhlad' => $admania_glybmhlad,		
		'admania_hdlftad1'=> intval (admania_get_lveditoption('admania_lveditlefthdad1')),
		'admania_hdlftvwad1'=> intval (admania_get_lveditoption('admania_lveditlefthdad1vw')),
		'admania_glybmglead' => $admania_glybmglead,
        'admania_glybmimgad' => esc_url($admania_glybmimgad),       	
        'admania_glybmimgadlink' => esc_url($admania_glybmimgadlink),
        'admania_adblockact' => get_theme_mod('admania_adblockaact'),
        'admania_wpmbck' => !wp_is_mobile(),			
	));	
    
	if (is_single() || is_page()) {
            wp_enqueue_script('comment-reply');
    }

    if (current_user_can('administrator')) {
   	wp_enqueue_style( 'wp-color-picker');
	if(function_exists( 'wp_enqueue_media' )){
    wp_enqueue_media();
	}
	else{
    wp_enqueue_style('thickbox');
	}
	wp_enqueue_script( 'wp-color-picker');
	wp_enqueue_script('media-upload');
	wp_enqueue_script('thickbox');
    }  	
    }	 
}
endif;

