<?php

/**
 * Custom template for admania one click importer
 *
 * @package WordPress
 * @subpackage admania
 * @since admania 1.0
 */

 
add_filter( 'pt-ocdi/import_files', 'admania_import_files' );

add_action( 'pt-ocdi/after_import', 'admania_after_import_setup' );

add_filter( 'pt-ocdi/plugin_intro_text', 'admania_plugin_intro_text' );


if( !function_exists( 'admania_import_files' ) ) :

function admania_import_files() {
	
  return array(
  
    array(
      
	  'import_file_name'             => esc_html__('Layout1','ad-mania'),
      'categories'                   => array( 'Layout1'),
      'local_import_file'            => get_parent_theme_file_path('lib/includes/import-files/admania-demo-content.xml'),
      'local_import_widget_file'     => get_parent_theme_file_path('lib/includes/import-files/admania-widgets1.wie'),
      'local_import_customizer_file'   => get_parent_theme_file_path('lib/includes/import-files/admania-customizer1.dat'),
      'import_preview_image_url'     => get_theme_file_uri('lib/includes/import-files/images/screenshot1.png'),
	  
	),
	
	array(
      
	  'import_file_name'             => esc_html__('Layout2','ad-mania'),
      'categories'                   => array( 'Layout2'),
      'local_import_file'            => get_parent_theme_file_path('lib/includes/import-files/admania-demo-content.xml'),
      'local_import_widget_file'     => get_parent_theme_file_path('lib/includes/import-files/admania-widgets2.wie'),
      'local_import_customizer_file'   => get_parent_theme_file_path('lib/includes/import-files/admania-customizer2.dat'),
      'import_preview_image_url'     => get_theme_file_uri('lib/includes/import-files/images/screenshot2.png'),
	  
	),
	
	array(
      
	  'import_file_name'             => esc_html__('Layout3','ad-mania'),
      'categories'                   => array( 'Layout3'),
      'local_import_file'            => get_parent_theme_file_path('lib/includes/import-files/admania-demo-content.xml'),
      'local_import_widget_file'     => get_parent_theme_file_path('lib/includes/import-files/admania-widgets1.wie'),
      'local_import_customizer_file'   => get_parent_theme_file_path('lib/includes/import-files/admania-customizer3.dat'),
      'import_preview_image_url'     => get_theme_file_uri('lib/includes/import-files/images/screenshot3.png'),
	  
	),
	
	array(
      
	  'import_file_name'             => esc_html__('Layout4','ad-mania'),
      'categories'                   => array( 'Layout4'),
      'local_import_file'            => get_parent_theme_file_path('lib/includes/import-files/admania-demo-content.xml'),
      'local_import_widget_file'     => get_parent_theme_file_path('lib/includes/import-files/admania-widgets4.wie'),
      'local_import_customizer_file'   => get_parent_theme_file_path('lib/includes/import-files/admania-customizer4.dat'),
      'import_preview_image_url'     => get_theme_file_uri('lib/includes/import-files/images/screenshot4.png'),
	  
	),
	
	array(
      
	  'import_file_name'             => esc_html__('Layout5','ad-mania'),
      'categories'                   => array( 'Layout5'),
      'local_import_file'            => get_parent_theme_file_path('lib/includes/import-files/admania-demo-content.xml'),
      'local_import_widget_file'     => get_parent_theme_file_path('lib/includes/import-files/admania-widgets2.wie'),
      'local_import_customizer_file'   => get_parent_theme_file_path('lib/includes/import-files/admania-customizer5.dat'),
      'import_preview_image_url'     => get_theme_file_uri('lib/includes/import-files/images/screenshot5.png'),
	  
	),
	
	array(
      
	  'import_file_name'             => esc_html__('Layout6','ad-mania'),
      'categories'                   => array( 'Layout6'),
      'local_import_file'            => get_parent_theme_file_path('lib/includes/import-files/admania-demo-content.xml'),
      'local_import_widget_file'     => get_parent_theme_file_path('lib/includes/import-files/admania-widgets2.wie'),
      'local_import_customizer_file'   => get_parent_theme_file_path('lib/includes/import-files/admania-customizer6.dat'),
      'import_preview_image_url'     => get_theme_file_uri('lib/includes/import-files/images/screenshot6.png'),
	  
	),
	
	array(
      
	  'import_file_name'             => esc_html__('Layout7','ad-mania'),
      'categories'                   => array( 'Layout7'),
      'local_import_file'            => get_parent_theme_file_path('lib/includes/import-files/admania-demo-content.xml'),
      'local_import_widget_file'     => get_parent_theme_file_path('lib/includes/import-files/admania-widgets7.wie'),
      'local_import_customizer_file'   => get_parent_theme_file_path('lib/includes/import-files/admania-customizer7.dat'),
      'import_preview_image_url'     => get_theme_file_uri('lib/includes/import-files/images/screenshot7.png'),
	  
	),
	
	array(
      
	  'import_file_name'             => esc_html__('Layout8','ad-mania'),
      'categories'                   => array( 'Layout8'),
      'local_import_file'            => get_parent_theme_file_path('lib/includes/import-files/admania-demo-content.xml'),
      'local_import_widget_file'     => get_parent_theme_file_path('lib/includes/import-files/admania-widgets8.wie'),
      'local_import_customizer_file'   => get_parent_theme_file_path('lib/includes/import-files/admania-customizer8.dat'),
      'import_preview_image_url'     => get_theme_file_uri('lib/includes/import-files/images/screenshot8.png'),
	  
	),
	
	array(
      
	  'import_file_name'             => esc_html__('Layout9','ad-mania'),
      'categories'                   => array( 'Layout9'),
      'local_import_file'            => get_parent_theme_file_path('lib/includes/import-files/admania-demo-content.xml'),
      'local_import_widget_file'     => get_parent_theme_file_path('lib/includes/import-files/admania-widgets9.wie'),
      'local_import_customizer_file'   => get_parent_theme_file_path('lib/includes/import-files/admania-customizer9.dat'),
      'import_preview_image_url'     => get_theme_file_uri('lib/includes/import-files/images/screenshot9.png'),
	  
	),
	
	array(
      
	  'import_file_name'             => esc_html__('Layout10','ad-mania'),
      'categories'                   => array( 'Layout10'),
      'local_import_file'            => get_parent_theme_file_path('lib/includes/import-files/admania-demo-content.xml'),
      'local_import_widget_file'     => get_parent_theme_file_path('lib/includes/import-files/admania-widgets10.wie'),
      'local_import_customizer_file'   => get_parent_theme_file_path('lib/includes/import-files/admania-customizer10.dat'),
      'import_preview_image_url'     => get_theme_file_uri('lib/includes/import-files/images/screenshot10.png'),
	  
	),
	
	array(
      
	  'import_file_name'             => esc_html__('Layout11','ad-mania'),
      'categories'                   => array( 'Layout11'),
      'local_import_file'            => get_parent_theme_file_path('lib/includes/import-files/admania-demo-content.xml'),
      'local_import_widget_file'     => get_parent_theme_file_path('lib/includes/import-files/admania-widgets11.wie'),
      'local_import_customizer_file'   => get_parent_theme_file_path('lib/includes/import-files/admania-customizer11.dat'),
      'import_preview_image_url'     => get_theme_file_uri('lib/includes/import-files/images/screenshot11.png'),
	  
	),
	
	array(
      
	  'import_file_name'             => esc_html__('Layout12','ad-mania'),
      'categories'                   => array( 'Layout12'),
      'local_import_file'            => get_parent_theme_file_path('lib/includes/import-files/admania-demo-content.xml'),
      'local_import_widget_file'     => get_parent_theme_file_path('lib/includes/import-files/admania-widgets12.wie'),
      'local_import_customizer_file'   => get_parent_theme_file_path('lib/includes/import-files/admania-customizer12.dat'),
      'import_preview_image_url'     => get_theme_file_uri('lib/includes/import-files/images/screenshot12.png'),
	  
	),
	
	array(
      
	  'import_file_name'             => esc_html__('Layout13','ad-mania'),
      'categories'                   => array( 'Layout13'),
      'local_import_file'            => get_parent_theme_file_path('lib/includes/import-files/admania-demo-content.xml'),
      'local_import_widget_file'     => get_parent_theme_file_path('lib/includes/import-files/admania-widgets19.wie'),
      'local_import_customizer_file'   => get_parent_theme_file_path('lib/includes/import-files/admania-customizer19.dat'),
      'import_preview_image_url'     => get_theme_file_uri('lib/includes/import-files/images/screenshot13.png'),
	  
	),
	
	
	array(
      
	  'import_file_name'             => esc_html__('Layout14','ad-mania'),
      'categories'                   => array( 'Layout14'),
      'local_import_file'            => get_parent_theme_file_path('lib/includes/import-files/admania-demo-content.xml'),
      'local_import_widget_file'     => get_parent_theme_file_path('lib/includes/import-files/admania-widgets20.wie'),
      'local_import_customizer_file'   => get_parent_theme_file_path('lib/includes/import-files/admania-customizer20.dat'),
      'import_preview_image_url'     => get_theme_file_uri('lib/includes/import-files/images/screenshot20.png'),
	  
	),
	
	array(
      
	  'import_file_name'             => esc_html__('Layout15','ad-mania'),
      'categories'                   => array( 'Layout15'),
      'local_import_file'            => get_parent_theme_file_path('lib/includes/import-files/admania-demo-content.xml'),
      'local_import_widget_file'     => get_parent_theme_file_path('lib/includes/import-files/admania-widgets21.wie'),
      'local_import_customizer_file'   => get_parent_theme_file_path('lib/includes/import-files/admania-customizer21.dat'),
      'import_preview_image_url'     => get_theme_file_uri('lib/includes/import-files/images/screenshot21.png'),
	  
	),	
	
	array(
      
	  'import_file_name'             => esc_html__('Layout16','ad-mania'),
      'categories'                   => array( 'Layout16'),
      'local_import_file'            => get_parent_theme_file_path('lib/includes/import-files/admania-demo-content.xml'),
      'local_import_widget_file'     => get_parent_theme_file_path('lib/includes/import-files/admania-widgets22.wie'),
      'local_import_customizer_file'   => get_parent_theme_file_path('lib/includes/import-files/admania-customizer22.dat'),
      'import_preview_image_url'     => get_theme_file_uri('lib/includes/import-files/images/screenshot22.png'),
	  
	),	
	
	array(
      
	  'import_file_name'             => esc_html__('Layout17','ad-mania'),
      'categories'                   => array( 'Layout17'),
      'local_import_file'            => get_parent_theme_file_path('lib/includes/import-files/admania-demo-content.xml'),
      'local_import_widget_file'     => get_parent_theme_file_path('lib/includes/import-files/admania-widgets23.wie'),
      'local_import_customizer_file'   => get_parent_theme_file_path('lib/includes/import-files/admania-customizer23.dat'),
      'import_preview_image_url'     => get_theme_file_uri('lib/includes/import-files/images/screenshot23.png'),
	  
	),	
	
	array(
      
	  'import_file_name'             => esc_html__('Layout18','ad-mania'),
      'categories'                   => array( 'Layout18'),
      'local_import_file'            => get_parent_theme_file_path('lib/includes/import-files/admania-demo-content.xml'),
      'local_import_widget_file'     => get_parent_theme_file_path('lib/includes/import-files/admania-widgets13.wie'),
      'local_import_customizer_file'   => get_parent_theme_file_path('lib/includes/import-files/admania-customizer13.dat'),
      'import_preview_image_url'     => get_theme_file_uri('lib/includes/import-files/images/screenshot14.png'),
	  
	),
	
	array(
      
	  'import_file_name'             => esc_html__('Layout19','ad-mania'),
      'categories'                   => array( 'Layout19'),
      'local_import_file'            => get_parent_theme_file_path('lib/includes/import-files/admania-demo-content.xml'),
      'local_import_widget_file'     => get_parent_theme_file_path('lib/includes/import-files/admania-widgets14.wie'),
      'local_import_customizer_file'   => get_parent_theme_file_path('lib/includes/import-files/admania-customizer14.dat'),
      'import_preview_image_url'     => get_theme_file_uri('lib/includes/import-files/images/screenshot15.png'),
	  
	),
	
	array(
      
	  'import_file_name'             => esc_html__('Layout20','ad-mania'),
      'categories'                   => array( 'Layout20'),
      'local_import_file'            => get_parent_theme_file_path('lib/includes/import-files/admania-demo-content.xml'),
      'local_import_widget_file'     => get_parent_theme_file_path('lib/includes/import-files/admania-widgets15.wie'),
      'local_import_customizer_file'   => get_parent_theme_file_path('lib/includes/import-files/admania-customizer15.dat'),
      'import_preview_image_url'     => get_theme_file_uri('lib/includes/import-files/images/screenshot16.png'),
	  
	),
	
	array(
      
	  'import_file_name'             => esc_html__('Layout21','ad-mania'),
      'categories'                   => array( 'Layout21'),
      'local_import_file'            => get_parent_theme_file_path('lib/includes/import-files/admania-demo-content.xml'),
      'local_import_widget_file'     => get_parent_theme_file_path('lib/includes/import-files/admania-widgets16.wie'),
      'local_import_customizer_file'   => get_parent_theme_file_path('lib/includes/import-files/admania-customizer16.dat'),
      'import_preview_image_url'     => get_theme_file_uri('lib/includes/import-files/images/screenshot17.png'),
	  
	),
	
	array(
      
	  'import_file_name'             => esc_html__('Layout22','ad-mania'),
      'categories'                   => array( 'Layout22'),
      'local_import_file'            => get_parent_theme_file_path('lib/includes/import-files/admania-demo-content.xml'),
      'local_import_widget_file'     => get_parent_theme_file_path('lib/includes/import-files/admania-widgets17.wie'),
      'local_import_customizer_file'   => get_parent_theme_file_path('lib/includes/import-files/admania-customizer17.dat'),
      'import_preview_image_url'     => get_theme_file_uri('lib/includes/import-files/images/screenshot18.png'),
	  
	),
	
	array(
      
	  'import_file_name'             => esc_html__('Layout23','ad-mania'),
      'categories'                   => array( 'Layout23'),
      'local_import_file'            => get_parent_theme_file_path('lib/includes/import-files/admania-demo-content.xml'),
      'local_import_widget_file'     => get_parent_theme_file_path('lib/includes/import-files/admania-widgets18.wie'),
      'local_import_customizer_file'   => get_parent_theme_file_path('lib/includes/import-files/admania-customizer18.dat'),
      'import_preview_image_url'     => get_theme_file_uri('lib/includes/import-files/images/screenshot19.png'),
	  
	),
	
  );
  
}

endif;



if( !function_exists( 'admania_after_import_setup' ) ) :

function admania_after_import_setup($selected_import) {
	
	// Assign menus to their locations.
	$admania_main_menu = get_term_by( 'name', 'Primary Menu', 'nav_menu' );
	$admania_secondary_menu = get_term_by( 'name', 'Secondary Menu', 'nav_menu' );
    $admania_footer_menu = get_term_by( 'name', 'Footer Menu', 'nav_menu' );

	set_theme_mod( 'nav_menu_locations', array(
			'admania-primary-menu' => $admania_main_menu->term_id,
			'admania-secondary-menu' => $admania_secondary_menu->term_id,
		    'admania-footer-menu' => $admania_footer_menu->term_id,
		)
	);
	
	 
if ( 'Layout1' == $selected_import['import_file_name'] ) {
      
        set_theme_mod( 'admania_slider1_category_setting', 'joy' );
       
	   set_theme_mod( 'admania_ftdcatgrs', 'life' );
       
   }
    elseif ( 'Layout2' === $selected_import['import_file_name'] ) {
      
       
        set_theme_mod( 'hm_sliderctgs1', 'joy' );
		 set_theme_mod( 'admania_ftdcatgrs1', 'life' );
    }
	elseif ( 'Layout3' === $selected_import['import_file_name'] ) {
      
        set_theme_mod( 'hm_sliderctgs2', 'joy' );
    }
	elseif ( 'Layout4' === $selected_import['import_file_name'] ) {
       
        
        set_theme_mod( 'hm_sliderctgs4', 'joy' );
    }
	elseif ( 'Layout5' === $selected_import['import_file_name'] ) {
      
        set_theme_mod( 'hm_sliderctgs5', 'joy' );
    }
	elseif ( 'Layout6' === $selected_import['import_file_name'] ) {
       
        set_theme_mod( 'hm_sliderctgs7', 'joy' );
    }
		
}

endif;

if( !function_exists( 'admania_plugin_intro_text' ) ) :

function admania_plugin_intro_text( $admania_default_text ) {
	
	$admania_default_text .= '<div class="admania-ocdi-plugin-intro">'.esc_html__('please make sure before import Layout content your widgets has empty...!','ad-mania').'<a href="'.esc_url('widgets.php').'">'.esc_html__('click here','ad-mania').'</a></div>';

	return $admania_default_text;
	
}

endif;



