<?php 
/**
 * Template Name: Page Full Width
 *
 *
 * @package WordPress
 * @subpackage Admania
 * @since Admania 1.0
 */
 

get_header(); 

echo '<main id="admania-maincontent" class="admania-sitemaincontent admania_nosidebar">';

    if ( have_posts() ) : 
		
			//Start the loop.
			while ( have_posts() ) : the_post();

				?>
				
			<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				
					<header class="admania-entryheader">
				
						<?php 
		
							if(get_theme_mod('admania_breadcrumb_pages') != '') {
							
							admania_breadcrumb(); // Admania-BreadCrumb
							
							}
					
							the_title( '<h1 class="admania-entrytitle" itemprop="headline">', '</h1>' ); 
							
							admania_entrymeta(); // Admania-EntryMeta
					
						?>
					</header>
			
					<!-- .entry-header -->
  
					<div class="admania-entrycontent">
						<?php	
				
						the_content();

						wp_link_pages( array(
							'before'      => '<div class="admania_pagelinks"><span class="admania_pagelinkstitle">' . esc_html__( 'Pages:', 'ad-mania' ) . '</span>',
							'after'       => '</div>',
							'link_before' => '<span>',
							'link_after'  => '</span>',
							'pagelink'    => '<span class="admania_screenreadertext">' . esc_html__( 'Page', 'ad-mania' ) . ' </span><span class="admania_pglnlksaf">%</span>',
							'separator'   => '<span class="admania_screenreadertext">, </span>',
						) );		
									
						?>
						
					</div>
			
					<!-- .entry-content --> 
  
			</article>
			
			<!-- #post-## -->
				
				<?php
					

				//	End the loop.
				
				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) {
				 if(get_theme_mod('admania_commentspage') != true) {
					comments_template();
				}
		        }
			endwhile;			

		// If no content, include the "No posts found" template.
		else :
			
		?>
    <p class="admania_nocntpost">
      <?php esc_html_e('Sorry No Posts were Found..!','ad-mania');  ?>
    </p>
    <?php			

endif;

	   
if($admania_blog_layout == 'amblyt2') {
	
	/*
	* Include the Before Footer Section Ad Template.			
	*/
			
	get_template_part('tempad-parts/lay2beforefooter','ad'); 
}

elseif($admania_blog_layout == 'amblyt3') {
	
	/*
	* Include the Before Footer Section Ad Template.			
	*/
			
	get_template_part('tempad-parts/lay3beforefooter','ad'); 
}
	 
		

echo '</main>';  //site-main 

get_footer(); 
